﻿<?php

 /**

 * @package jOdnoKlass

 * @author Kostin Aleksey (kostinaleksey@gmail.com)

 * @version 1.0

 * @copyright (C) 2010 by Kostin Aleksey(http://php-programmist.ru/)

 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html

 *

*/



// Check to ensure this file is included in Joomla!

defined( '_JEXEC' ) or die( 'Restricted access' );



jimport( 'joomla.plugin.plugin' );





class plgContentJOdnoKlass extends JPlugin

{

	function plgContentJOdnoKlass( &$subject, $params )

	{

		parent::__construct( $subject, $params );

		$plugin			=& JPluginHelper::getPlugin('content', 'jodnoklass');

		$this->params	= new JParameter( $plugin->params );

	}

	function onPrepareContent( &$row, &$params, $limitstart ) {

		global $jodnoklassinit;

		$autoAddOnlyFull 	= $this->params->get('autoAddOnlyFull') == 1 ? true : false;
        $position 			= $this->params->get('position');
		$left 			= $this->params->get('left');
		$top 			= $this->params->get('top');

        $exceptcat = is_array($this->params->get('categories')) ? $this->params->get('categories') : array($this->params->get('categories'));

		if (!in_array($row->catid,$exceptcat))
        {
				$view = JRequest::getCmd('view');



				if (($autoAddOnlyFull && $view == 'article') || !$autoAddOnlyFull) {

					$mainframe = &JFactory::getApplication('site');

					if (!$jodnoklassinit) {

						$script = <<<HTML

									<link href="http://stg.odnoklassniki.ru/share/odkl_share.css" rel="stylesheet">

									<script src="/plugins/content/jodnoklass.js" type="text/javascript" ></script>

HTML;

						$mainframe->addCustomHeadTag($script);

						$jodnoklassinit = true;

					}

					$pagehash = $row->id;

					$row->introtext = preg_replace("/\n\r|\r\n|\n|\r/", "", $row->introtext);

                    $row->introtext = preg_replace("/\t/", "", $row->introtext);

					$row->introtext = preg_replace("|<.*?>|ixm","",$row->introtext);

					$row->introtext = preg_replace("|{.*?}|ixm","",$row->introtext);

					$words = explode(" ",$row->introtext);

					$words_sliced = array_slice($words,0,intval($max_words));

					$row->introtext = implode(" ",$words_sliced)."...";

					$site = JURI::base();



					$link = $site.substr(JRoute::_(ContentHelperRoute::getArticleRoute($row->slug,$row->catslug,$row->sectionid)),1);



					$scriptPage = <<<HTML

					   	<div id="jodnoklass_div" style ="position:relative; left:{$left}px; top:{$top}px">

                         <a class="odkl-klass" href="{$link}" onclick="ODKL.Share(this);return false;" ><span>0</span></a>
                         </div>


HTML;

                        switch($position){
							case "top":
								$row->text = $scriptPage.$row->text;
								break;
							case "bottom":
								$row->text .= $scriptPage;
								break;
						}

				}
          }
    }

}

